> For a complete page index, fetch https://docs.transak.com/llms.txt # Get Transaction History GET https://api-stg.transak.com/partners/api/v2/business/orders Retrieve a paginated list of orders within a date range.The maximum date range is `90 days` per request. Reference: https://docs.transak.com/api/transak-swaps-b2b/get-transaction-history ## Request ### Query parameters - `startDate` (datetime, required) — Start of the date range - `endDate` (datetime, required) — End of the date range - `page` (integer, optional) — Page number (minimum: 1) - `limit` (integer, optional) — Results per page (1–100) ### Headers - `x-api-key` (string, required) — Your Partner API key. You can find this in the [Partner Dashboard](https://docs.transak.com/guides/how-to-create-partner-dashboard-account#open-the-developers-section). - `access-token` (string, required) — Your Partner Access Token. Please refer [here](/guides/how-to-create-partner-access-token) for a tutorial on generating your access token. ## Response ### 200 Success - `meta` (GetTransactionHistoryResponseMeta, optional) - `data` (TransactionHistoryData, optional) ## Errors ### 400 Bad Request Error Bad Request - `error` (BadRequestErrorResponseError, optional) ### 401 Unauthorized Error Unauthorized - `error` (ErrorResponseError, optional) ### 403 Forbidden Error Forbidden - `error` (ErrorResponseError, optional) ## Types ### GetTransactionHistoryResponseMeta - `startDate` (string, optional) - `endDate` (string, optional) - `page` (integer, optional) - `limit` (integer, optional) ### TransactionHistoryData - `dateRangeStart` (datetime, optional) - `dateRangeEnd` (datetime, optional) - `limit` (integer, optional) - `page` (integer, optional) - `totalCount` (integer, optional) - `orders` (list of OrderStatusDetails, optional) ### BadRequestErrorResponseError - `statusCode` (integer, optional) - `message` (string, optional) ### ErrorResponseError - `statusCode` (integer, optional) - `message` (string, optional) ### OrderStatusDetails - `orderId` (string, optional) - `partnerOrderId` (string, optional, nullable) - `status` (string, optional) - `deposit` (TransferDetails, optional) - `payout` (TransferDetails, optional) - `createdAt` (datetime, optional) - `processingAt` (datetime, optional) - `completedAt` (datetime, optional) ### TransferDetails - `type` (string, optional) - `cryptoCurrency` (string, optional) - `network` (string, optional) - `amount` (string, optional) - `txHash` (string, optional) - `senderWalletAddress` (string, optional) - `receiverWalletAddress` (string, optional) - `networkFee` (NetworkFee, optional, nullable) - `confirmedAt` (datetime, optional) ### NetworkFee - `cryptoCurrency` (string, optional) - `amount` (string, optional) ## Examples **Response** ```json { "meta": { "startDate": "2026-04-11T10:00:00.000Z", "endDate": "2026-04-13T10:00:00.000Z", "page": 1, "limit": 50 }, "data": { "dateRangeStart": "2026-04-11T10:00:00.000Z", "dateRangeEnd": "2026-04-13T10:00:00.000Z", "limit": 50, "page": 1, "totalCount": 1, "orders": [ { "orderId": "095d8622-3e31-48a4-89b1-72624717f4d6", "partnerOrderId": null, "status": "COMPLETED", "deposit": { "type": "CRYPTO", "cryptoCurrency": "SETH", "network": "SETH", "amount": "0.0023", "txHash": "0x156a1d26931a8ad5898452d6374567bfb155a04fdde1d4c961614552f8177736", "senderWalletAddress": "0x0adac5b6e552304e3bea14d8a200e17ff524bf35", "receiverWalletAddress": "0xe45d2baac4bc5ae39cf1982ecc8203e07584bd0c", "networkFee": null, "confirmedAt": "2026-04-13T06:13:57.609Z" }, "payout": { "type": "CRYPTO", "cryptoCurrency": "SETH_TRNSK", "network": "SETH", "amount": "57.49", "txHash": "0xb0f93200e07883869dd9e9fdd7adeb882b80270ba786311c1d332c101bd4e465", "senderWalletAddress": "0xe5f6dfe109bad4753d230f95b90de9e696b93852", "receiverWalletAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e", "networkFee": { "cryptoCurrency": "SETH", "amount": "0.000053394337244286" }, "confirmedAt": "2026-04-13T06:17:24.073Z" }, "createdAt": "2026-04-13T06:13:07.433Z", "processingAt": "2026-04-13T06:15:57.612Z", "completedAt": "2026-04-13T06:17:24.073Z" } ] } } ``` **SDK Code** ```python Success import requests url = "https://api-stg.transak.com/partners/api/v2/business/orders" querystring = {"endDate":"","startDate":""} headers = { "access-token": "", "x-api-key": "" } response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Success const url = 'https://api-stg.transak.com/partners/api/v2/business/orders?endDate=&startDate='; const options = {method: 'GET', headers: {'access-token': '', 'x-api-key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-stg.transak.com/partners/api/v2/business/orders?endDate=&startDate=" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("access-token", "") req.Header.Add("x-api-key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api-stg.transak.com/partners/api/v2/business/orders?endDate=&startDate=") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["access-token"] = '' request["x-api-key"] = '' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-stg.transak.com/partners/api/v2/business/orders?endDate=&startDate=") .header("access-token", "") .header("x-api-key", "") .asString(); ``` ```php Success request('GET', 'https://api-stg.transak.com/partners/api/v2/business/orders?endDate=&startDate=', [ 'headers' => [ 'access-token' => '', 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api-stg.transak.com/partners/api/v2/business/orders?endDate=&startDate="); var request = new RestRequest(Method.GET); request.AddHeader("access-token", ""); request.AddHeader("x-api-key", ""); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = [ "access-token": "", "x-api-key": "" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-stg.transak.com/partners/api/v2/business/orders?endDate=&startDate=")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```